#! /bin/sh

# linux build script for SDL2


g++ $1.cc -o $1 \
lodepng.cpp \
shader.cpp \
text2d.cpp \
loadpng.cpp \
-fpermissive \
-W -Wall -Wextra -pedantic -Wno-unused-variable \
-Wno-literal-suffix \
-std=c++11 \
-I. \
-I/usr/include/SDL2 \
-I/usr/include/X11 \
-I/usr/include/X11/extensions \
-I/usr/include/GL \
-L/usr/lib/x86_64-linux-gnu \
-lX11 -lXext -lXrandr -lXxf86vm -lrt \
-lGL -lGLU -lGLEW -lSDL2 \
-lsfml-audio -lsfml-system -lopenal -lsndfile \
-pthread

