#version 330 core

layout(location = 0) in vec2 vertexPosition_screenspace;
layout(location = 1) in vec2 vertexUV;

uniform ivec2 screenCen;

out vec2 UV;

void main(){

	// Output position of the vertex, in clip space
	// map screen to [-1..1][-1..1]
	vec2 vertexPosition_homoneneousspace = vertexPosition_screenspace - screenCen;
	vertexPosition_homoneneousspace /= screenCen;
	gl_Position =  vec4(vertexPosition_homoneneousspace,0,1);
	
	UV = vertexUV;
}

