

/*
--
-- Copyright (C) 2014  <fastrgv@gmail.com>
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You may read the full text of the GNU General Public License
-- at <http://www.gnu.org/licenses/>.
--
*/



#ifndef TEXT2D_HPP
#define TEXT2D_HPP



void resizeText2D(int Swid, int Shit);

void initText2D(const char * texturePath, int Swid, int Shit, bool &Ok);
void printText2D(const char * text, int x, int y, int size);

void printText2d(const char * text, float x, float y, int size);

//void printText3D(const char * text, float ccx, float ccy, float ccw, int size, float range);

void printText3D(
	const char * text, 
	float ccx, float ccy, float ccz, float ccw, 
	int size, 
	float Mzndc  // median zndc (bigger is further away from camera)
);


void cleanupText2D();


#endif
