#! /bin/sh
#
# fully modern (ogl 3.2) compile script
# using static libs for:  png, z, glfw, glew, sfml(2.1)


g++ $1.cc -o $1 \
lodepng.cpp loadpng.cpp \
shader.cpp \
text2d.cpp \
-fpermissive \
-W -Wall -Wextra -pedantic -Wno-unused-variable \
-std=c++11 \
-DSFML_STATIC \
-I. \
\
-I/usr/local/include/libpng15 \
/usr/local/lib/libpng15.a \
\
-I/usr/local \
\
-I/usr/include \
/opt/local/lib/libz.a \
\
-I/usr/include/glew \
/usr/lib/libGLEW.a \
\
-I/usr/local/include/SDL2 \
/usr/local/lib/libSDL2.a \
/usr/local/lib/libiconv.dylib \
\
-I/usr/local/include \
/usr/local/lib/libsfml-audio-s.a \
/usr/local/lib/libsfml-system-s.a \
/usr/local/lib/libsndfile.a \
\
-framework Carbon \
-framework Cocoa \
-framework OpenGL \
-framework IOKit \
-framework ForceFeedback \
-framework CoreAudio \
-framework AudioUnit \
-framework OpenAL

# needed for <glm/glm.hpp> :
#-I/usr/local \
#
# note that zlib.h is under
# /usr/include/

